Subject: Re: bug#24637: 25.1; non-ascii chars fail to render in Info buffer

From: Stefan Kangas <[email-masked]>
Date: Fri, 08 Nov 2019 03:50:26 +0100

Alan Third <[email-masked]> writes:

> On Mon, Dec 19, 2016 at 06:18:02PM +0200, Eli Zaretskii wrote:
>> > From: Alan Third <[email-masked]>
>> > Cc: ivan <[email-masked]>,  [email-masked]
>> > Date: Mon, 19 Dec 2016 11:27:56 +0000
>> > 
>> > > Does anyone else see this on OS X (or on any other OS)?
>> > 
>> > Just checked and I get the incorrect behaviour with the upper-case UTF-8
>> > in emacs.info's "Local Variables:" section.
>> 
>> Do you also have an old Texinfo?
>
> Yup, that’s it exactly. macOS 10.12 comes with Texinfo 4.8.
>
> As far as I can tell ./configure is looking for any version above 4.6.
> I guess this is wrong, or the macOS version is broken.
>
> For reference, I used homebrew to install 6.3 and this fixed it:
>
>     brew install texinfo
>     brew link texinfo --force
>
> There are some warnings about linking in the upgraded version, but I
> can’t really see what difference it makes, and I’m not sure whether
> people building Emacs within homebrew itself will need to perform that
> step.

If I read this correctly, the problem is with an old version of
texinfo (perhaps only on macOS).  If that is the case, this is not a
bug in Emacs and should be closed?

Best regards,
Stefan Kangas